package com.fidms.web.domain;

import com.fidms.common.annotation.Excel;
import com.fidms.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 红外输出对象 bz_infrared_output_t
 * 
 * @author Allen
 * @date 2023-05-08
 */
public class InfraredOutput extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /**对应流场输出编号*/
    @Excel(name="对应流场输出编号")
    private Long flowFieldOutputID;

    /**对应红外输入编号*/
    @Excel(name="对应红外输入编号")
    private Long infraredInputID;

    /** 文件输出 */
    @Excel(name = "文件输出")
    private String outputFile;

    /** 文件输出路径 */
    @Excel(name = "文件输出路径")
    private String outputFilePath;

    /** 红外辐射强度 */
    @Excel(name = "红外辐射强度")
    private BigDecimal radiationIntensity;

    /** 红外图像 */
    @Excel(name = "红外图像")
    private String infraredImage;

    /** 红外图像路径 */
    @Excel(name = "红外图像路径")
    private String infraredImagePath;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public Long getFlowFieldOutputID(){return flowFieldOutputID;}
    public void setFlowFieldOutputID(Long flowFieldOutputID){this.flowFieldOutputID = flowFieldOutputID;}

    public Long getInfraredInputID(){return infraredInputID;}
    public void setInfraredInputID(Long infraredInputID){this.infraredInputID = infraredInputID;}

    public void setOutputFile(String outputFile) 
    {
        this.outputFile = outputFile;
    }
    public String getOutputFile() 
    {
        return outputFile;
    }
    public void setOutputFilePath(String outputFilePath) 
    {
        this.outputFilePath = outputFilePath;
    }

    public String getOutputFilePath() 
    {
        return outputFilePath;
    }
    public void setRadiationIntensity(BigDecimal radiationIntensity) 
    {
        this.radiationIntensity = radiationIntensity;
    }

    public BigDecimal getRadiationIntensity() 
    {
        return radiationIntensity;
    }

    public String getInfraredImage(){return infraredImage;}

    public void setInfraredImage(String infraredImage) {
        this.infraredImage = infraredImage;
    }

    public String getInfraredImagePath(){return infraredImagePath;}
    public void setInfraredImagePath(String infraredImagePath){this.infraredImagePath = infraredImagePath;}
    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("flowFieldOutputID",getFlowFieldOutputID())
            .append("infraredInputID",getInfraredInputID())
            .append("outputFile", getOutputFile())
            .append("outputFilePath", getOutputFilePath())
            .append("radiationIntensity", getRadiationIntensity())
            .append("infraredImage",getInfraredImage())
            .append("infraredImagePath",getInfraredImagePath())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
